/*
xAffect - Middleware for Physiological Sensors and Affective Signal Processing
Copyright (c) 2011-2012 FZI Research Center for Information Technology, Germany

This file is part of the xAffect middleware. For more information, see http://www.xaffect.org.

This software is licensed under the Original BSD License. You should have received a copy of the Original BSD License along with xAffect. If not, see http://www.xaffect.org/license/.
 */
package org.xaffect;

import org.xaffect.desktop.classloader.DynamicClassLoader;

/**
 * Launches XAffectDesktop using the built-in {@link DynamicClassLoader}.
 * 
 * @author platzek
 */
public class XAffectDesktopLauncher
{
	/**
	 * Launches XAffectDesktop using the built-in {@link DynamicClassLoader}.
	 */
	public static void main(String[] args)
	{
		DynamicClassLoader loader = new DynamicClassLoader(false);
		try
		{
			Class<?> monitorClass = loader.loadClass("org.xaffect.XAffectDesktop");
			monitorClass.newInstance();
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
	}
}
