package org.xaffect.components.sink.dataviewer.resources;

import org.eclipse.swt.widgets.Composite;

import org.xaffect.core.data.DataEntry;

/**
 * Is able to draw data of type DataType, representing any {@link DataEntry}, in a particular way.<br />
 * Extends Composite to be able to be placed in any SWT-project.
 * @param <DataType> determines what type of data that DataViewer is able to draw.
 */
public abstract class DataViewer<DataType extends DataEntry> extends Composite
{
	/**
	 * Creates a new DataViewer.
	 * @param parent Composite that DataViewer is to be placed in.
	 * @param style {@link SWT}-Constant describing the ValueScale's appearance.
	 */
	public DataViewer(Composite parent, int style)
	{
		super(parent, style);
	}

	/**
	 * Draws data.
	 * @param data to be drawn.
	 */
	public abstract void draw(DataType data);
}