/*
xAffect - Middleware for Physiological Sensors and Affective Signal Processing
Copyright (c) 2011-2012 FZI Research Center for Information Technology, Germany

This file is part of the xAffect middleware. For more information, see http://www.xaffect.org.

This software is licensed under the Original BSD License. You should have received a copy of the Original BSD License along with xAffect. If not, see http://www.xaffect.org/license/.
 */
package org.xaffect.config;

import java.io.File;

import org.xaffect.control.Control;
import org.xaffect.control.gui.XAffectWindowControl;
import org.xaffect.control.net.XAffectNetworkControl;

/**
 * Contains constants used by xAffect's desktop-version.
 * 
 * @author platzek
 */
public class ConstantsDesktop extends Constants
{
	// ///////////////////////////////////IMAGES///////////////////////////////////////
	/**
	 * Path to the directory for image-resources
	 */
	public static final String IMAGE_PATH = "res" + File.separator;
	/**
	 * Colored xAffect icon, only for main GUI and system tray.
	 */
	public static final String IMAGE_ICON = "xAffect.ico";
	/**
	 * Grayscale xAffect icon for other GUI elements.
	 */
	public static final String IMAGE_BW_ICON = "xAffectBw.ico";
	/**
	 * xAffect tray icon.
	 */
	public static final String IMAGE_TRAY_ICON = "xAffect16.png";

	// /////////////////////////////////PROPERTIES/////////////////////////////////////
	/**
	 * Name of the .properties-file used to configure xAffect's desktop-version
	 */
	public static final String CONFIG_FILE = "xaffect.properties";
	/**
	 * Property in CONFIG_FILE where the {@link Control} that is supposed to be
	 * used is specified.
	 */
	public static final String PROPERTY_CONTROL_INTERFACE = "CONTROL_INTERFACE";
	/**
	 * Property in CONFIG_FILE where the port used by
	 * {@link XAffectNetworkControl} is specified.
	 */
	public static final String PROPERTY_CONTROL_NETWORK_PORT = "COMMUNICATION_PORT";
	/**
	 * Default value for the port used by {@link XAffectNetworkControl}.
	 */
	public static final Integer PROPERTY_CONTROL_NETWORK_PORT_DEFAULT = 12345;
	/**
	 * Property in CONFIG_FILE where the excluded setups for the
	 * {@link XAffectWindowControl} are specified.
	 */
	public static final String PROPERTY_CONTROL_WINDOW_EXCLUDE_SETUPS = "EXCLUDE_SETUPS";
	/**
	 * Property in CONFIG_FILE where the available study-ids for the
	 * {@link XAffectWindowControl} are specified.
	 */
	public static final String PROPERTY_CONTROL_WINDOW_AVAILABLE_STUDY_IDS = "AVAILABLE_STUDY_IDS";
	/**
	 * Property in CONFIG_FILE where the available institution-ids for the
	 * {@link XAffectWindowControl} are specified.
	 */
	public static final String PROPERTY_CONTROL_WINDOW_AVAILABLE_INSTITUTION_IDS = "AVAILABLE_INSTITUTION_IDS";
}
