/*
xAffect - Middleware for Physiological Sensors and Affective Signal Processing
Copyright (c) 2011-2012 FZI Research Center for Information Technology, Germany

This file is part of the xAffect middleware. For more information, see http://www.xaffect.org.

This software is licensed under the Original BSD License. You should have received a copy of the Original BSD License along with xAffect. If not, see http://www.xaffect.org/license/.
 */
package org.xaffect.control.gui;

/**
 * Listens to a {@link MeasurementTimer} and gets the current time.
 * @author platzek
 */
public abstract class MeasurementTimeListener
{
	/**
	 * Is triggered every second.
	 * @param time The current time in the following format: "00:00:00"
	 */
	public abstract void timeChanged(String time);
}
